/*
 * zones.c:
 * List of postcode zones.
 *
 * From http://www.direct-marketing-lists.co.uk/postcode_map.htm
 *
 */

static const char rcsid[] = "$Id: zones.c,v 1.1 2006/01/19 11:39:37 chris Exp chris $";

#include <stdlib.h> /* for NULL! */

#include "postcodeine.h"

struct postcodezone zones[] = {
        { "AB", "Aberdeen" },
        { "AL", "St. Albans" },
        { "B",  "Birmingham" },
        { "BA", "Bath" },
        { "BB", "Blackburn" },
        { "BD", "Blandford" },
        { "BH", "Bournemouth" },
        { "BL", "Bolton" },
        { "BN", "Brighton" },
        { "BR", "Bromley" },
        { "BS", "Bristol" },
        { "BT", "Belfast" },
        { "CA", "Carlisle" },
        { "CB", "Cambridge" },
        { "CF", "Cardiff" },
        { "CH", "Chester" },
        { "CM", "Chelmsford" },
        { "CO", "Colchester" },
        { "CR", "Croydon" },
        { "CT", "Canterbury" },
        { "CV", "Coventry" },
        { "CW", "Crewe" },
        { "DA", "Dartford" },
        { "DD", "Dundee" },
        { "DE", "Derby" },
        { "DG", "Dumfries" },
        { "DH", "Durham" },
        { "DL", "Darlington" },
        { "DN", "Doncaster" },
        { "DT", "Dorchester" },
        { "DY", "Dudley" },
        { "E",  "London E" },
        { "EC", "London EC" },
        { "EH", "Edinburgh" },
        { "EN", "Enfield" },
        { "EX", "Exeter" },
        { "FK", "Falkirk" },
        { "FY", "Blackpool" },
        { "G",  "Glasgow" },
        { "GL", "Gloucester" },
        { "GU", "Guildford" },
        { "HA", "Harlow" },
        { "HD", "Huddersfield" },
        { "HG", "Harrogate" },
        { "HP", "Hemel Hempstead" },
        { "HR", "Hereford" },
        { "HU", "Hull" },
        { "HX", "Halifax" },
        { "IG", "Ilford" },
        { "IP", "Ipswich" },
        { "IV", "Inverness" },
        { "KA", "Kilmarnock" },
        { "KT", "Kingston upon Thames" },
        { "KW", "Kirkwall" },
        { "KY", "Kirkaldy" },
        { "L",  "Liverpool" },
        { "LA", "Lancashire" },
        { "LD", "Llandrindod" },
        { "LE", "Leicester" },
        { "LL", "Llandudno" },
        { "LN", "East Midlands" },
        { "LS", "Leeds" },
        { "LU", "Luton" },
        { "M",  "Manchester" },
        { "ME", "Medway" },
        { "MK", "Milton Keynes" },
        { "ML", "Motherwell" },
        { "N",  "London N" },
        { "NE", "Newcastle" },
        { "NG", "Nottingham" },
        { "NN", "Northampton" },
        { "NP", "Newport" },
        { "NR", "Norwich" },
        { "NW", "London NW" },
        { "OL", "Oldham" },
        { "OX", "Oxford" },
        { "PA", "Paisley" },
        { "PE", "Peterborough" },
        { "PH", "Perth" },
        { "PL", "Plymouth" },
        { "PO", "Portsmouth" },
        { "PR", "Preston" },
        { "RG", "Reading" },
        { "RH", "Redhill" },
        { "RM", "Romford" },
        { "S",  "Sheffield" },
        { "SA", "Swansea" },
        { "SE", "London SE" },
        { "SG", "Stevenage" },
        { "SK", "Stockport" },
        { "SL", "Slough" },
        { "SM", "Sutton" },
        { "SN", "Swindon" },
        { "SO", "Southampton" },
        { "SP", "Salisbury" },
        { "SR", "Sunderland" },
        { "SS", "Southend on Sea" },
        { "ST", "Stoke on Trent" },
        { "SW", "London SW" },
        { "SY", "Shrewsbury" },
        { "TA", "Taunton" },
        { "TD", "Galashiels" },
        { "TF", "Telford" },
        { "TN", "Tonbridge" },
        { "TQ", "Torquay" },
        { "TR", "Truro" },
        { "TS", "Cleveland" },
        { "TW", "Twickenham" },
        { "UB", "Southall" },
        { "W",  "London W" },
        { "WA", "Warrington" },
        { "WC", "London WC" },
        { "WD", "Watford" },
        { "WF", "Wakefield" },
        { "WN", "Wigan" },
        { "WR", "Worcester" },
        { "WS", "Walsall" },
        { "WV", "Wolverhampton" },
        { "YO", "York" },
        { NULL, NULL }
    };
